
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define rel 3
%define	release	%mkrel %rel

%define aeolus_ver 0.6.6
%define aeolus_rel 2
%define stops_ver  0.3.0

Summary: Aeolus, a synthesized pipe organ
Name: aeolus
Version: %{aeolus_ver}%{?aeolus_rel:.%{aeolus_rel}}
Release: %release
License: GPL
Group: Sound
URL: http://users.skynet.be/solaris/linuxaudio/aeolus.html
Source0: http://users.skynet.be/solaris/linuxaudio/downloads/aeolus-%{aeolus_ver}%{?aeolus_rel:-%{aeolus_rel}}.tar.bz2
Source1: http://users.skynet.be/solaris/linuxaudio/downloads/stops-%{stops_ver}.tar.bz2
Source2: %{name}.png
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

Obsoletes: aeolus-stops <= 0.3.1-1
Provides:  aeolus-stops

BuildRequires: clalsadrv-devel clthreads-devel clxclient-devel
BuildRequires: alsa-lib-devel jackit-devel
BuildRequires: libx11-devel libxft-devel

%description
Aeolus is a synthesised (i.e. not sampled) pipe organ emulator that
should be good enough to make an organist enjoy playing it. It is a
software synthesiser optimised for this job, with possibly hundreds of
controls for each stop, that enable the user to "voice" his
instrument. Main features of the default instrument: three manuals and
one pedal, five different temperaments, variable tuning, IDI control
of course, stereo, surround or Ambisonics output, flexible audio
controls including a large church reverb.

%prep
%setup -q -n aeolus-%{aeolus_ver}

%build
# change the default stops directory to point to the installed stops
%{__perl} -p -i -e "s|\".stops\", \"stops\"|\".stops\", \"%{_datadir}/aeolus/stops\"|g" mainwin.cc
# don't ldconfig during build
%{__perl} -p -i -e "s|/sbin/ldconfig|# /sbin/ldconfig|g" Makefile

%{__make}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_libdir}
%{__mkdir} -p %{buildroot}%{_datadir}/aeolus
%{__make} PREFIX=%{buildroot}%{_prefix} install

# install the stops
(cd %{buildroot}%{_datadir}/aeolus; %{__tar} xjf %{SOURCE1}; %{__mv} stops-* stops)
%{__rm} -f %{buildroot}%{_datadir}/aeolus/stops/Makefile
# make sure they are readable
find %{buildroot}%{_datadir}/aeolus/stops -type f -exec chmod 644 {} \;

# set reasonable default startup options:
# jack driver, point to stops, store presets in user home directory
%{__mkdir} -p %{buildroot}%{_sysconfdir}
%{__cat} << EOF > %{buildroot}%{_sysconfdir}/aeolus.conf
# Aeolus default options
-J -S %{_datadir}/aeolus/stops -u
EOF

# desktop file categories
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE2} \
	%{buildroot}%{_datadir}/pixmaps

%{__mkdir} -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Aeolus
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;AudioVideo;Audio;AudioVideoEditing;X-MandrivaLinux-Multimedia-Sound;
Encoding=UTF-8
EOF

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL
%{_bindir}/*
%{_libdir}/*
%{_sysconfdir}/*
%{_datadir}/aeolus/stops
%{_datadir}/applications/aeolus.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.6.6.2-2
- Rebuild for pclos2007

* Fri Nov 24 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.6.2-1
- updated to version 0.6.6-2 (beta version with MIDI control of stops)
- spec file tweaks

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.6-1
- updated to 0.6.6, stops to 0.3.0

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- proper build dependencies for fc5
- patch for gcc 4.1

* Mon Jul 11 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.1-2
- obsolete aeolus-stops and include the stops in the main package

* Tue Dec 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Fri Dec  3 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.1-1
- updated to 0.3.1

* Thu Jul 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- changed default stops directory to /usr/share/aeolus/stops
- deleted startup script

* Fri Jul 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.1-1
- updated to 0.2.1 and stops 0.0.9

* Mon Jun 14 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0-1
- updated to 0.2.0

* Tue May 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added alsa-lib-devel buildrequires

* Tue May  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-1
- initial build
